module inicia_sa
 implicit none
! integer, private			:: nw,nx,nz,nwind,nreal,dados
 contains
!=======================================
subroutine genmodel(m0)
INTEGER, PARAMETER     :: dp = SELECTED_REAL_KIND(14, 60)
real (dp)              :: m0(:)
real                   :: time
integer                :: time0(8),seed(2)
  time=0. 
  call date_and_time(values=time0)
  time = time0 (5) * 3600 + time0 (6) * 60 + time0 (7) + 0.001 * time0 (8)
  seed(1)=time
  seed(2)=int(log(time))
  call random_seed(put=seed)
  call random_number(m0)
  m0=2*(m0-0.5)
end subroutine
!=======================================
end module
